List queues

GET
/v1/queues

List all queues in an organization.

Authorization

ApiKeyAuth
headerAuthorization<token>

Response Body

The list of queues in an organization

application/json
  1. response
data?array<>
curl -X GET 'https://dev.dixa.io/v1/queues' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "497d2cb4-6b48-4fa2-99d2-21c2a5bad79f",
"name": "MyCorp main queue",
"isDefault": true,
"organizationId": "927d4b48-966b-45a3-8d7c-c6ad64f877b0",
"queueThresholds": {
"SlaPercentage": 10
},
"slaCalculationMethod": "AbandonedIgnored",
"offerTimeout": 10,
"offeringAlgorithm": "OneAtATimeRandom",
"memberListType": "SkillBased",
"usages": {
"queueId": "497d2cb4-6b48-4fa2-99d2-21c2a5bad79f",
"usages": {
"WidgetChat": [
"c6f50127-7f0a-418f-943e-c62b96d8a742",
"b2ac94ac-379a-4f24-995a-6473809eef6b"
],
"PstnPhone": [
"+4589977790"
],
"Email": [
"info@mycorp.dixa.io"
]
}
},
"wrapupTimeout": 10,
"priority": 1,
"offerAbandonedConversations": false,
"doNotOfferTimeouts": {
"WidgetChat": 1
},
"isDoNotOfferEnabled": true,
"isPreferredAgentEnabled": false,
"preferredAgentTimeouts": {
"WhatsApp": 300,
"Voicemail": 300,
"WidgetChat": 300,
"FacebookMessenger": 300,
"Email": 43200,
"ContactForm": 43200,
"Callback": 300,
"PstnPhone": 300
},
"preferredAgentOfflineTimeout": 500,
"personalAgentOfflineTimeout": 500,
"isRestricted": false
},
{
"id": "921a6e00-0845-417e-9c67-f7cb872d45f0",
"name": "MyCorp email queue",
"isDefault": true,
"organizationId": "927d4b48-966b-45a3-8d7c-c6ad64f877b0",
"queueThresholds": {
"SlaPercentage": 10
},
"slaCalculationMethod": "AbandonedIgnored",
"offerTimeout": 10,
"offeringAlgorithm": "OneAtATimeRandom",
"memberListType": "SkillBased",
"usages": {
"queueId": "921a6e00-0845-417e-9c67-f7cb872d45f0",
"usages": {
"Email": [
"info@mycorp.dixa.io"
]
}
},
"wrapupTimeout": 10,
"priority": 1,
"offerAbandonedConversations": false,
"doNotOfferTimeouts": {
"WidgetChat": 1
},
"isDoNotOfferEnabled": true,
"isPreferredAgentEnabled": false,
"preferredAgentOfflineTimeout": 500,
"personalAgentOfflineTimeout": 500,
"isRestricted": false
}
]
}